Subject: [alto] Review of draft-ietf-alto-path-vector-11

From: LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>
Date: Sun, 25 Oct 2020 21:01:25 +0000

Hi all,

I have performed a review of the draft, with comments as follows:

/* Technical comments */
.- Section III Terminology - Path Vector bullet. Please, rephrase the description, it is hard to understand, especially the second sentence. Not clear.
.- Section 4.2 - it refers to recent use cases, but it is not relevant how recent are the use cases (in fact, for this, see my next comment). So I would suggest to remove any reference to recent either in the title or the text. Simply refer to use cases.
.- Section 4.2 - there is a reference to an expired I-D which last from 2013 (so pretty old). I would suggest to remove such a reference since somehow the potential use cases it refers should be present here.
.- Section 5.1.3, 2nd paragraph - "... and the response must return and only return the selected properties ..." - two comments here: (1) must should be MUST in this context?; (2) "... and only return ..." - probably redundant, better either remove or rephrase as "MUST/must only return".
.- Figure 4 - the figure shows two response messages, but some questions arise in this respect: (1) what happens if second response is not received?; (2) what happens if only the second response is received? Is it silently discarded?; (3) is there some expected timer for accounting time-out in the responses? It is mentioned in bullet 2 that there could be some processing among messages, so it can be assumed that some maximum delay could happen between both responses.
.- Section 6.2.4, last paragraph - Hard to understand, not clear. Please, rephrase/review.
.- Section 6.4.2, Intended semantics text - it is not clear the association of persistent to ephemeral. Why is this? What is the purpose?
.- Section 6.4.2, last paragraph - The value of ephemeral is provided, but what would be the value of persistent one?
.- Section 9.3, 1st and past paragraph - they seem inconsistent since in one hand the first claims incompatibility while the second claims compatibility. Please, review them.
.- Section 9.4 - When used with the calendar extension, should the ANE be always persistent? I mean, same ANE for all the time views, otherwise could not properly work. Please, clarify.

/* Editorial comments */
.- Section I Introduction, pag. 5, penultimate paragraph - "... Path Vector response involve two ALTO ..." -> "... Path Vector response involves two ALTO ..."
.- Section I Introduction, pag. 5, last paragraph - "... the rest of the document are organized ..." -> "... the rest of the document is organized ..."
.- Section III Terminology stands that the document extends the terminology used in RFC 7285 and in Unified Properties draft. This implies some precedence in the edition of the documents as RFCs, if they finally progress to that stage. So I would recommend to add a note for RFC Editor mention that precedence (note to be remove once the document becomes a RFC).
.- Section 5.1 - the text (2nd paragraph) auto-refers to section 5.1. Redundant, better to remove.
.- Section 5.2 - 1st paragraph - correct -> correctly
.- Section 5.3, last sentence before Figure 4 - "... the ANEs in a single response ..." -> "... the ANEs in an additional response ..."
.- Section 6.6 - The second paragraph starts with NOTE; probably better to rephrase writing it as a normal paragraph.
.- Section 9.2, last sentence - "compatible" -> "compatibility"

Best regards

Luis

__________________________________
Luis M. Contreras

Technology and Planning
Transport, IP and Interconnection Networks
Telefónica I+D / Global CTIO unit / Telefónica

Distrito Telefónica, Edificio Sur 3, Planta 3
28050 Madrid
España / Spain

Skype (Lync): +34 91 312 9084
Mobile: +34 680 947 650
[email-masked]<mailto:[email-masked]>

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: [email-masked]
Date: Mon, 26 Oct 2020 09:11:41 +0800 (GMT+08:00)

Hi Luis,

Thank you very much for the review. We will address the comments accordingly.

Best,
Kai

2020-10-26 05:01:25"LUIS MIGUEL CONTRERAS MURILLO" <[email-masked]>wrote:

Hi all,

/* Technical comments */

.- Section III Terminology – Path Vector bullet. Please, rephrase the description, it is hard to understand, especially the second sentence. Not clear.

.- Section 4.2 – it refers to recent use cases, but it is not relevant how recent are the use cases (in fact, for this, see my next comment). So I would suggest to remove any reference to recent either in the title or the text. Simply refer to use cases.

.- Section 4.2 – there is a reference to an expired I-D which last from 2013 (so pretty old). I would suggest to remove such a reference since somehow the potential use cases it refers should be present here.

.- Section 5.1.3, 2nd paragraph – “… and the response must return and only return the selected properties …” – two comments here: (1) must should be MUST in this context?; (2) “… and only return …” – probably redundant, better either remove or rephrase as “MUST/must only return”.

.- Figure 4 – the figure shows two response messages, but some questions arise in this respect: (1) what happens if second response is not received?; (2) what happens if only the second response is received? Is it silently discarded?; (3) is there some expected timer for accounting time-out in the responses? It is mentioned in bullet 2 that there could be some processing among messages, so it can be assumed that some maximum delay could happen between both responses.

.- Section 6.4.2, Intended semantics text – it is not clear the association of persistent to ephemeral. Why is this? What is the purpose?

.- Section 6.4.2, last paragraph – The value of ephemeral is provided, but what would be the value of persistent one?

.- Section 9.3, 1st and past paragraph – they seem inconsistent since in one hand the first claims incompatibility while the second claims compatibility. Please, review them.

.- Section 9.4 – When used with the calendar extension, should the ANE be always persistent? I mean, same ANE for all the time views, otherwise could not properly work. Please, clarify.

/* Editorial comments */

.- Section I Introduction, pag. 5, penultimate paragraph – “… Path Vector response involve two ALTO …” -> “… Path Vector response involves two ALTO …”

.- Section I Introduction, pag. 5, last paragraph – “… the rest of the document are organized …” -> “… the rest of the document is organized …”

.- Section 5.1 – the text (2nd paragraph) auto-refers to section 5.1. Redundant, better to remove.

.- Section 5.2 – 1st paragraph – correct -> correctly

.- Section 5.3, last sentence before Figure 4 – “… the ANEs in a single response …” -> “… the ANEs in an additional response …”

.- Section 6.6 – The second paragraph starts with NOTE; probably better to rephrase writing it as a normal paragraph.

.- Section 9.2, last sentence – “compatible” -> “compatibility”

Best regards

Luis

Luis M. Contreras

Technology and Planning

28050 Madrid

España / Spain

Mobile: +34 680 947 650

[email-masked]